// Copyright (c) 1994-2010: Wieger Wesselink <j.w.wesselink@tue.nl>
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)

#include <polyline.h>

double Polyline3D::Length() const
{
  double Result = 0;

  for (int i=1; i<Count; i++)
    Result += (Point(i) - Point(i-1)).Length();

  return Result;
}
